Package classycle.dependency

# Class DefaultPreferenceFactory

java.lang.Object
classycle.dependency.DefaultPreferenceFactory

All Implemented Interfaces:
  `PreferenceFactory`

public class DefaultPreferenceFactory extends Object implements PreferenceFactory
Factory of `Preferences` known by the `DefaultResultRenderer`.

Preference Key | Description
--- | ---
`onlyShortestPaths` | Only the shortest paths are reported in the case of unwanted dependencies.
`allPaths` | All paths are reported in the case of unwanted dependencies.
`onlyFailures` | Only results are reported which are not ok.
`allResults` | All results are reported.

Author:
  Franz-Josef Elmer

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Preference`
`ALL_PATHS`
`static final Preference`
`ALL_RESULTS`
`static final Preference`
`ONLY_FAILURES`
`static final Preference`
`ONLY_SHORTEST_PATHS`

## Constructor Summary

Constructors
Constructor
Description
`DefaultPreferenceFactory()`

## Method Summary

Modifier and Type
Method
Description
`Preference`
`get(String key)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ONLY_SHORTEST_PATHS

public static final Preference ONLY_SHORTEST_PATHS

### ALL_PATHS

public static final Preference ALL_PATHS

### ALL_RESULTS

public static final Preference ALL_RESULTS

### ONLY_FAILURES

public static final Preference ONLY_FAILURES

## Constructor Details

### DefaultPreferenceFactory

public DefaultPreferenceFactory()

## Method Details

### get

public Preference get(String key)

Specified by:
  `get` in interface `PreferenceFactory`